Robot Simulator of the Robotics Group for Self-Organization of Control: statistictools.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- File List
- File Members

# statistictools.h File Reference

`#include "inspectable.h"`
`#include "callbackable.h"`
`#include "measuremodes.h"`
`#include "analysationmodes.h"`
`#include "templatevalueanalysation.h"`

Include dependency graph for statistictools.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | StatisticTools
## Defines
#define | GET_TYPE_ANALYSATION(type) getAnalysation<type,defaultZero,defaultLower<type>,defaultHigher<type>,defaultDoubleDiv<type>,defaultDoubleMul<type>,defaultAdd<type>,defaultSub<type>,defaultMul<type>,defaultDiv<type> >
#define | GET_DOUBLE_ANALYSATION GET_TYPE_ANALYSATION(double)
## Functions
template<class type, type zero, bool lower, bool higher, type doubleDiv, type doubleMul, type add, type sub, type mul, type div>
ANALYSATION_CONTEXT * | getAnalysation (std::vector< type > values)
| use this function if you want more than one value analysed class type must implement following operators:
template<class type, type zero, bool lower, bool higher, type doubleDiv, type doubleMul, type add, type sub, type mul, type div>
type | getAnalysation (ANALYSATION_CONTEXT *tvAnalysation, AnalysationMode mode, unsigned int feature=0)
| class type must implement following operators:
template<class type, type zero, bool lower, bool higher, type doubleDiv, type doubleMul, type add, type sub, type mul, type div>
type | getAnalysation (std::vector< type > values, AnalysationMode mode, unsigned int feature=0)
| class type must implement following operators:

## Define Documentation

#define GET_DOUBLE_ANALYSATION GET_TYPE_ANALYSATION(double)

#define GET_TYPE_ANALYSATION | ( | type |  | ) | getAnalysation<type,defaultZero,defaultLower<type>,defaultHigher<type>,defaultDoubleDiv<type>,defaultDoubleMul<type>,defaultAdd<type>,defaultSub<type>,defaultMul<type>,defaultDiv<type> >

## Function Documentation

type getAnalysation | ( | std::vector< type > | values,
|  | AnalysationMode | mode,
|  | unsigned int | feature = `0` |
| ) |  |  |

class type must implement following operators:

Parameters:

  | values | (vector<type>) values for the analysation
  | mode | (AnalysationMode) what value you want
  | feature | (unsigned int) special param. for mode

Returns:
  (type) the value you want

type getAnalysation | ( | ANALYSATION_CONTEXT * | tvAnalysation,
|  | AnalysationMode | mode,
|  | unsigned int | feature = `0` |
| ) |  |  |

class type must implement following operators:

Parameters:

  | tvAnalysation | (TemplateValueAnalysation) the analysation context
  | mode | (AnalysationMode) what value you want
  | feature | (unsigned int) special param. for mode

Returns:
  (type) the value you want

ANALYSATION_CONTEXT* getAnalysation | ( | std::vector< type > | values | ) |

use this function if you want more than one value analysed class type must implement following operators:

Parameters:

  | values | (vector<type>) values for the analysation

Returns:
  (TemplateValueAnalysation) the analysation context